Bug 1504375 - python-nibabel-2.3.0 is available
Summary: python-nibabel-2.3.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nibabel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-pybids
TreeView+ depends on / blocked
 
Reported: 2017-10-20 00:29 UTC by Upstream Release Monitoring
Modified: 2018-08-13 13:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-13 13:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/nipy nibabel issues 579 None None None 2018-06-22 10:47:51 UTC

Description Upstream Release Monitoring 2017-10-20 00:29:18 UTC
Latest upstream release: 2.2.0
Current version/release in rawhide: 2.1.0-1.fc27
URL: http://nipy.org/nibabel/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8151/

Comment 1 Upstream Release Monitoring 2018-06-13 00:19:16 UTC
Latest upstream release: 2.3.0
Current version/release in rawhide: 2.1.0-1.fc27
URL: http://nipy.org/nibabel/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8151/

Comment 2 Ankur Sinha (FranciscoD) 2018-06-22 10:47:52 UTC
Build fails because of broken tests. Issue filed upstream here: https://github.com/nipy/nibabel/issues/579

Comment 3 Ankur Sinha (FranciscoD) 2018-07-20 23:01:40 UTC
I was looking at the differences between the nibabel and scipy implementations of netcdf. One can, in theory, pull the different bits from each to come up with a common version, but the code has already diverged quite a bit and this is not trivial for anyone that isn't well versed with netcdf. It doesnt look like nibabel upstream has any intention to use the scipy version either, so even if we fix this issue now, it may crop up again in future releases.

Does it maybe make sense to just use the bundled version of netcdf.py in nibabel, given that upstream does not seem to have any inclination towards using the scipy version? I expect there is a reason why they've decided to maintain their own anyway? Alternatively, we use the scipy version, so we don't support the minc format (and so we also disable the test)?

We do need to make a downstream decision here so that other packages that depend on nibabel don't suffer right now. We can continue working on this with upstream for a longer term resolution.

What do you think, Igor?

Comment 4 Igor Gnatenko 2018-07-21 06:53:20 UTC
Yeah, let's bundle it for now.


Note You need to log in before you can comment on or make changes to this bug.